#!/bin/bash

if [ "$AOT_AUTO_RES" == "true" ]; then

    # set age of time to use fullscreen
    sed -i 's/\$pref::Video::fullScreen = "0";/\$pref::Video::fullScreen = "1";/g' /root/AgeOfTime/base/client/prefs.cs

    # Extract the width and height from RESOLUTION env variable
    WIDTH=$(echo $RESOLUTION | cut -d'x' -f1)
    HEIGHT=$(echo $RESOLUTION | cut -d'x' -f2)

    # set the resolution to match x11
    sed -i "s/\$pref::Video::resolution = \".*\";/\$pref::Video::resolution = \"${WIDTH} ${HEIGHT} 32\";/g" /root/AgeOfTime/base/client/prefs.cs

    echo "Updated game resolution to match x11"
fi

/usr/bin/supervisord